Bug 426666 - KPowersave Error message / No autosuspend
KPowersave Error message / No autosuspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kpowersave (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 20:37 EST by Joshua Covington
Modified: 2008-04-29 17:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.7.3-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 17:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Covington 2007-12-23 20:37:12 EST
Description of problem:

when I try to suspend to ram/disk I get the following message:
"Could not umount external media before suspend/standby. (Reason: Could not call
DCOP interface to umount external media.) Would you like to continue
suspend/standby anyway? (Warning: Continue suspend can cause data loss!)"

I have the option to disable this message and continue with the suspention
anyway. if i choose to continue it seems to work fine for both suspend to ram/disk.

I have only my winXP partition mounted to /mnt. no USB, disks or anyother
mounted devices. but even with the winXP mounted on startup and this message it
suspends to ram/disk just fine.

When I active the autosuspend option I get the following message: "Could not
start 'pidof'. Could not autosuspend the machine.
Please check your installation."

It a a FC8 with all updates until 24.December, fglrx, acer-acpi and madwifi. the
mashine is Acer aspire 5051 awxmi (laptop). I have no error logs in
/var/log/messages, nothing from selinux, nothing in dmesg.


Version-Release number of selected component (if applicable):
hal-0.5.10-1.fc8
hal-info-20071030-1.fc8
hal-cups-utils-0.6.13-2.fc8
hal-libs-0.5.10-1.fc8
kpowersave-0.7.3-1.fc8
Linux localhost.localdomain 2.6.23.9-85.fc8 #1 SMP Fri Dec 7 15:49:59 EST 2007
i686 athlon i386 GNU/Linux


How reproducible:

always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joshua Covington 2008-02-06 18:18:33 EST
can someone comment on this?
Comment 2 Rex Dieter 2008-02-06 22:12:53 EST
"Could not umount external media before suspend/standby."

Yes, confirmed, but appears to be mostly harmless.
Comment 3 Dennis Gilmore 2008-02-06 23:40:25 EST
looking at the code  it tries to make calls to 2 functions that dont exist 
DCOPRef dcop_ref = DCOPRef( "kded", "mediamanager" );
		
		if (suspend) {
			_method = "unmountAllSuspend()";
		} else {
			_method = "remountAllResume()";
		}


on a fedora box i get 

dcop kded mediamanager
QCStringList interfaces()
QCStringList functions()
QStringList fullList()
QStringList properties(QString name)
QStringList mountoptions(QString name)
bool setMountoptions(QString name,QStringList options)
QString mount(QString uid)
QString unmount(QString uid)
QString nameForLabel(QString label)
ASYNC setUserLabel(QString name,QString label)
ASYNC reloadBackends()
bool removablePlug(QString devNode,QString label)
bool removableUnplug(QString devNode)
bool removableCamera(QString devNode)

So it seems that suse patch in some extra methods we dont have.  
Comment 4 Joshua Covington 2008-02-07 19:23:43 EST
(In reply to comment #3)
ok
but can someone just strip the code from the unnecessary functions, so that we
don't get this message?

And will the system autosuspend even with this message? 

Even with the message "Could not start 'pidof'. Could not autosuspend the
machine. Please check your installation."
Should I be concerned?
Comment 5 Dennis Gilmore 2008-02-07 19:37:17 EST
ive stripped the code out in a rawhide build  and made sure that it has the
full path to pidof.  i want to get it some testing in rawhide before pushing
back to F-8 and F-7
Comment 6 Joshua Covington 2008-02-08 05:25:32 EST
thanx, I'll check back in a week to see if the package is pushed to the testing
repo.
Comment 7 Joshua Covington 2008-02-18 15:59:15 EST
can you port it to fc8, so that i can give ait a try?
Comment 8 Joshua Covington 2008-02-27 09:47:58 EST
i tried the version from koji(the fc9 and install it on fc8), but i still get
the following message: "Could not start 'pidof'. Could not autosuspend the machine.
Please check your installation."

Any ideas?
Comment 9 Joshua Covington 2008-02-27 09:51:25 EST
actually there are absolutely no changes (at least for me) in version 0.7.3-3
compared to 0.7.3-1. I still get the same messages as in post 1 here.
Comment 10 Joshua Covington 2008-02-27 10:13:15 EST
I'm sorry for the previous post. actually i had version 0.7.3-1 residing in the
memory and therefore i got the same error messages. with version 0.7.3-3.fc9
installed on fc8 everything is fine. it works the way it should. but a porting
to fc8 will be much appreciated.
Comment 11 Doncho N. Gunchev 2008-03-10 05:25:22 EDT
Bug 245293 is related or this one is a duplicate.
Comment 12 Fedora Update System 2008-04-09 01:17:23 EDT
kpowersave-0.7.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpowersave'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2959
Comment 13 Fedora Update System 2008-04-29 17:00:42 EDT
kpowersave-0.7.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.